# seQuencing

![seQuencing logo](docs/source/images/sequencing-logo.svg)

``sequencing`` is a Python package for simulating realistic quantum control sequences using [QuTiP](http://qutip.org/docs/latest/index.html). Built for researchers and quantum engineers, ``sequencing`` provides an intuitive framework for constructing models of quantum systems
composed of many modes and generating complex time-dependent control Hamiltonians
for [master equation simulations](http://qutip.org/docs/latest/guide/dynamics/dynamics-master.html).

![PyPI](https://img.shields.io/pypi/v/sequencing) ![GitHub Workflow Status (branch)](https://img.shields.io/github/workflow/status/sequencing-dev/sequencing/lint-and-test/main) [![Documentation Status](https://readthedocs.org/projects/sequencing/badge/?version=latest)](https://sequencing.readthedocs.io/en/latest/?badge=latest) [![codecov](https://codecov.io/gh/sequencing-dev/sequencing/branch/main/graph/badge.svg?token=LLABAKBJ0C)](https://codecov.io/gh/sequencing-dev/sequencing) ![CodeFactor Grade](https://img.shields.io/codefactor/grade/github/sequencing-dev/sequencing) ![GitHub](https://img.shields.io/github/license/sequencing-dev/sequencing)

## Documentation

The documentation for `sequencing` is available at:
[sequencing.readthedocs.io](https://sequencing.readthedocs.io/)

## Installation

```
pip install sequencing
```

For more details, see the [documentation](https://sequencing.readthedocs.io/en/latest/installation.html).

## Contributing

Want to contribute to `sequencing`? Check out our [contribution guidelines](CONTRIBUTING.md).

## Authors

Primary author and maintainer: [@loganbvh](https://github.com/loganbvh/).
